"use strict";

exports.__esModule = true;
exports.default = void 0;

var _Map = _interopRequireDefault(require("./Map"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const BREAK = {};
/*----------------------------------------------------------------------------*/

class MapCache extends _Map.default {
  clear() {
    super.clear();
    return this;
  }

  findKey(iteratee) {
    let result;

    try {
      this.forEach((value, key, map) => {
        if (iteratee(value, key, map)) {
          result = key;
          throw BREAK;
        }
      });
    } catch (e) {
      if (e !== BREAK) {
        throw e;
      }
    }

    return result;
  }

}

exports.default = MapCache;
module.exports = exports["default"];