"use strict";

exports.__esModule = true;
exports.default = void 0;

var _each2 = _interopRequireDefault(require("lodash/each"));

var _MapCache = _interopRequireDefault(require("./MapCache"));

var _util = require("./util");

var _Package = _interopRequireDefault(require("./Package"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*----------------------------------------------------------------------------*/
class Store extends _MapCache.default {
  constructor(pkgPaths) {
    super();
    (0, _each2.default)(pkgPaths, pkgPath => this.set(pkgPath));
  }

  get(pkgPath) {
    return super.get((0, _util.normalizePath)(pkgPath));
  }

  set(pkgPath, pkgStore = new _Package.default((0, _util.normalizePath)(pkgPath))) {
    return super.set((0, _util.normalizePath)(pkgPath), pkgStore);
  }

}

exports.default = Store;
module.exports = exports["default"];