"use strict";

exports.__esModule = true;
exports.default = config;

var _castArray2 = _interopRequireDefault(require("lodash/castArray"));

var _each2 = _interopRequireDefault(require("lodash/each"));

var _MapCache = _interopRequireDefault(require("./MapCache"));

var _ModuleCache = _interopRequireDefault(require("./ModuleCache"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const defaultIds = ['lodash', 'lodash-es', 'lodash-compat'];
let oldCwd;
const ids = [];
const modules = new _MapCache.default();
/*----------------------------------------------------------------------------*/

function config({
  cwd = process.cwd(),
  id = defaultIds
} = {}) {
  if (oldCwd !== cwd) {
    oldCwd = cwd;
    modules.clear();
  }

  (0, _each2.default)((0, _castArray2.default)(id), id => {
    if (!modules.get(id)) {
      const moduleRoot = _ModuleCache.default.resolve(id, cwd);

      if (moduleRoot) {
        ids.push(id);
        modules.set(id, new _ModuleCache.default(moduleRoot));
      }
    }
  });
  return {
    ids,
    modules
  };
}

module.exports = exports["default"];